gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2004-000461

Xpdf および Xpdf コードを使用する製品における整数オーバーフローの脆弱性

10.0
2007/04/01 00:00
CVE-2004-0889

JVNDB-2004-000461

Xpdf および Xpdf コードを使用する製品における整数オーバーフローの脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ Xpdf は、X ウィンドウ上で動作する PDF ビューアです。 Xpdf 3.00 以前には、PDF ファイルを解析する際に、複数の箇所において整数オーバーフローが発生する問題が存在します。 この問題を利用するリモートの攻撃者は、意図的に作成した PDF ファイルを閲覧させることにより、Xpdf をクラッシュさせる、あるいは標的ユーザの権限で任意のコードを実行する可能性があります。 尚、Xpdf 3.00 に関しては、この整数オーバーフローに類似する問題 (CAN-2004-0889) が併せて報告されていますが、現時点では詳細は不明です。 CUPS 1.1.21 以前、teTeX 2.0.2 以前では、Xpdf をベースとしたコードが使用されているため Xpdf と同様に問題の影響を受けます。 また、KDE 3.2.3 以前、3.3.1 以前の kdegraphics に同梱されている PDF ビューア kpdf は、Xpdf のコードをベースに作成されており、これらの問題と同様の影響を受けることが kde.org より報告されています。ただし、KDE 3.2 リリース未満には kpdf は 同梱されていないため、これらの問題の影響を受けません。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2004-000461は、ベンダ情報及び参考情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度10.0N/A
CVECVE-2004-0889
公表日2004/10/22 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。